Journeys
List journey enrollments
GET
Requires the journey:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
id*stringstatus?stringValue in
"active""canceled""completed""exited""failed""waiting-delay""waiting-event"nodeId?stringcontactId?stringlimit?integerRange
1 <= value <= 500Default
50offset?integerRange
0 <= valueDefault
0page?integerRange
1 <= valuesortBy?stringsortOrder?stringValue in
"ASC""DESC"A page of results.
application/json- response
data*array<>total*integerMatches across all pages.
limit*integeroffset*integerThe offset actually applied, also when you paginated with page.
curl -X GET 'https://api.mailcrate.io/public/journey/string/enrollments' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "data": [ { "id": "string", "journeyId": "string", "status": "active", "contact": { "id": "string", "email": "string" }, "goalReachedAt": "2019-08-24T14:15:22Z", "enteredAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" } ], "total": 0, "limit": 0, "offset": 0}